#ifndef ditemmodel_H
#define ditemmodel_H

#include <QDir>
#include <QFileIconProvider>
#include <QDateTime>

#define SEPARATOR QString("/")



class ditemmodel
{

public:

    ditemmodel(const QFileInfo& fileInfo, ditemmodel* parent);
    ~ditemmodel();

    ditemmodel* childAt(int position);
    ditemmodel* parent();
    ditemmodel* matchPath(const QStringList& path, int startIndex = 0);

    QList<ditemmodel*> children();

    int childCount() const;
    int childNumber() const;
    bool hasChild(QString);

    QString absoluteFilePath() const;
    QString fileName() const;

    QFileInfo fileInfo() const;

    void refreshFileInfo();
    void addChild(ditemmodel *child);
    void removeChild(ditemmodel *child);
    void changeName(QString);
    void clearAll();

    bool walked;
    bool dirty;

    QString mPermissions;


private:

    QList<ditemmodel*> mChildren;
    ditemmodel* mParent;
    QFileInfo mFileInfo;
    QString mAbsFilePath;
};


#endif // ditemmodel_H
